Subject: [netlmm] AD review of draft-ietf-netlmm-pmip6-ipv4-support (part 1)

From: Jari Arkko <[email-masked]>
Date: Mon, 02 Feb 2009 15:44:32 +0200

I am in the progress of making my review of this document. The document 
seems generally in good shape, so far.

Here's what I found until page 14:

> To support this feature, the conceptual Binding Cache entry data 
> structure maintained by the local mobility anchor needs to be extended 
> with the following additional parameters.
>
> o  The IPv4 home address assigned to the mobile node's interface and 
> registered by the mobile access gateway.  The IPv4 home address entry 
> also includes the corresponding subnet mask.
>
> o  The IPv4 default-router address assigned to the mobile node.

Shouldn't these already be defined in dsmip? But I can't find them based 
on a quick search...

> If there is at least one instance of Home Network Prefix option
> [RFC-5213 <http://tools.ietf.org/html/rfc5213>] present in the received Proxy Binding Update message,
> but either if the mobile node is not IPv6 enabled, or if IPv6
> routing not enabled in the home network, the local mobility anchor
> MUST reject the request and send a Proxy Binding Acknowledgement
> message with the Status field set to
> NOT_AUTHORIZED_FOR_IPV6_HOME_NETWORK_PREFIX (mobile node not
> authorized for the requesting IPv6 home network prefix).
>   
s/is not IPv6 enabled/is not authorized for IPv6 service/

(The LMA has now way of knowing if the mobile node is IPv6 enabled or 
not. And even if it were IPv6 enabled, there would be harm in offering 
both IPv4 and IPv6 to it.)

Jari

_______________________________________________
netlmm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Mon, 2 Feb 2009 09:21:02 -0800 (PST)

Hi Jari,

Thanks for the review. Please see inline.

On Mon, 2 Feb 2009, Jari Arkko wrote:

> I am in the progress of making my review of this document. The document seems 
> generally in good shape, so far.
>
>>  To support this feature, the conceptual Binding Cache entry data structure
>>  maintained by the local mobility anchor needs to be extended with the
>>  following additional parameters.
>>
>>  registered by the mobile access gateway.  The IPv4 home address entry also
>>  includes the corresponding subnet mask.
>>
> Shouldn't these already be defined in dsmip? But I can't find them based on a 
> quick search...
>

DSMIP did not talk about extending conceptual data structures and so we
had to define the parameters that we needed. If they are defined there,
we can take them off.

> s/is not IPv6 enabled/is not authorized for IPv6 service/

Ok.

> (The LMA has now way of knowing if the mobile node is IPv6 enabled or not. 
> And even if it were IPv6 enabled, there would be harm in offering both IPv4 
> and IPv6 to it.)
>

Sure. We thought, if the LMA is aware of terminal's capabilities by the
way of policy data, it can deny the service that the terminal cant use.
I guess, it still does not take care of the case where the terminal is
capable but the stack is disabled. We can take that line off.

Regards
Sri